library ieee;
  use ieee.std_logic_1164.all;
  use ieee.std_logic_unsigned.all;
  use ieee.numeric_std.all;
  
--  library UNISIM;
--  use UNISIM.Vcomponents.all;

ENTITY tb_jsvgacore_s3e is
PORT
(
    DUMMIE      : in    std_logic
);
END;


ARCHITECTURE a of tb_jsvgacore_s3e is


COMPONENT jsvgacore_s3e
port
(
		RESET       : in    std_logic;	-- active high from push buttom
		CLK_OSC_50  : in    std_logic;	-- osc 50 MHz fixed type in s3e
		--
		FLASH_OE  	: out   std_logic; 	-- spartan 3e specific
		FLASH_CE  	: out   std_logic;	-- spartan 3e specific
		FLASH_WE  	: out   std_logic;	-- spartan 3e specific
		VIDEO_R     : out   std_logic;
		VIDEO_G     : out   std_logic;
		VIDEO_B     : out   std_logic;
		HSYNC       : out   std_logic;
		VSYNC       : out   std_logic
	);
 END COMPONENT;

--Signals
signal stb_reset	: std_logic;
signal stb_clock 	: std_logic;


BEGIN

dut: jsvgacore_s3e
port map (
	RESET       => stb_reset,
	CLK_OSC_50	=> stb_clock,
	FLASH_OE		=> open,
	FLASH_CE		=> open,
	FLASH_WE   	=> open,
	VIDEO_R     => open,
	VIDEO_G     => open,
	VIDEO_B     => open,
	HSYNC       => open,
	VSYNC       => open
);


mk_clk : process
begin
	stb_clock <= '0';
	wait for 10.0 ns;
	stb_clock <= '1';
	wait for 10.0 ns;
	stb_clock <= '0';
end process;


mk_sim : process
begin
	stb_reset <= '0';
	
	wait for 10 us;
	stb_reset <= '1';
	
	wait for 10 us;
	stb_reset <= '0';
	
	wait;
	
end process;


 
end architecture a;

